#include <stdio.h>
#include <string.h>

int czytaj_linie(char *napis, int n)
{
	char znak;
	int i=0;

	while( i < n-1 && (znak = getchar()) != '\n' && znak != EOF)
	{
		*napis = znak;
		napis++;
		i++;
	}
	*napis = '\0';

	if ( i == 0 && znak == EOF) return EOF;

	return i;
}

char* odwroc(char *napis)
{
	int n = strlen(napis);
	char *poczatek = napis;
	char *koniec = napis + n - 1;
	char tmp;

	while(poczatek < koniec)
	{
		tmp = *poczatek;
		*poczatek = *koniec;
		*koniec = tmp;
		poczatek++;
		koniec--;
	}
	return napis;
}


int main()
{
	char napis[1000];
	int i = 1;
	
	while(czytaj_linie(napis, 1000) != EOF)
	{
		printf("%d: %s\n", i, odwroc(napis));
		i++;
	}
}
